Bug 853410

Summary: Win+Up or Win+Down shrinks the installer
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: loraxAssignee: Chris Lumens <clumens>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: bcl, g.kaviyarasu, jonathan, mgracik, vanmeeuwen+fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lorax-18.17-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-23 14:45:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 752665    
Attachments:
Description Flags
start screen
none
hub screen none

Description Kamil Páral 2012-08-31 12:52:01 UTC
Created attachment 608502 [details]
start screen

Description of problem:
If you press Win+Up or Win+Down in anaconda, it's window is shrunk to a very small size. See screenshots. That might confuse people who pressed these buttons by accident. They won't probably be able to get it back to full size.

Anaconda should always stay in the fullscreen mode.

Version-Release number of selected component (if applicable):
F18 Alpha TC4
anaconda 18.6.4

How reproducible:
always

Steps to Reproduce:
1. press Win+Up or Win+Down in start screen, hub screen, or wherever else

Comment 1 Kamil Páral 2012-08-31 12:52:22 UTC
Created attachment 608503 [details]
hub screen

Comment 2 Chris Lumens 2012-08-31 13:54:00 UTC
Yeah, this is some sort of window manager key stroke that does this.  If you know what its gconf property is, I can work on disabling it.

Comment 3 Kamil Páral 2012-08-31 14:48:56 UTC
I'm your man!

$ gsettings list-recursively | grep -E '(Up|Down)'
org.gnome.desktop.wm.keybindings maximize ['<Super>Up']
org.gnome.desktop.wm.keybindings unmaximize ['<Super>Down', '<Alt>F5']

Comment 4 Fedora Update System 2012-09-01 05:12:23 UTC
lorax-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.17-1.fc18

Comment 5 Fedora Update System 2012-09-01 16:56:57 UTC
Package lorax-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13109/lorax-18.17-1.fc18
then log in and leave karma (feedback).

Comment 6 Kamil Páral 2012-09-03 08:23:29 UTC
I don't know whether the new lorax was used, but it is still broken with F18 Alpha TC5.

Comment 7 Fedora Update System 2012-09-06 01:49:02 UTC
lorax-18.17-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Kamil Páral 2012-10-23 14:45:10 UTC
This is fixed with anaconda 18.19.